export const Employment: {
  title: string;
  company: string;
  /**
   * Set ALL dates to the 5th. These are not exact days, but intended to avoid month discrepancies
   * when dealing with timezones.
   */
  start: Date;
  /**
   * Set ALL dates to the 5th. These are not exact days, but intended to avoid month discrepancies
   * when dealing with timezones.
   */
  end: Date | null;
  link: string;
  type: "volunteer" | "fixed" | "project" | "hypothetical";
  description: string;
  /**
   * File name of logo.
   */
  logo: string;
}[] = [
  {
    title: "Consultant",
    company: "Your Company!",
    start: new Date(Date.now()),
    end: null,
    link: "https://topmate.io/nhcarrigan/913920",
    type: "hypothetical",
    logo: "future.jpeg",
    description: `With a deep passion for leveraging technology for positive social impact, I am a community-oriented software engineer dedicated to cultivating safe, inclusive, and welcoming online spaces. My focus on user experience and accessibility drives me to create robust software tools and platforms prioritizing privacy, security, and diversity.

My career reflects a commitment to supporting aspiring developers as they break into the tech industry. Through mentorship, educational initiatives, and advocating for inclusive hiring practices, I strive to remove barriers and empower underrepresented individuals in the digital realm.

For me, software engineering goes beyond coding—it's about using technology to drive positive change. By championing diversity, equity, and accessibility in every project, I aim to reshape the tech industry's narrative and contribute to a more equitable future.

Let's connect to drive meaningful impact and foster innovation and inclusivity in technology.`
  },
  {
    title: "Started Journey",
    company: "nhcarrigan",
    start: new Date("April 5 2020"),
    end: null,
    link: "https://naomi.lgbt",
    type: "hypothetical",
    logo: "nhcarrigan.jpeg",
    description:
      "Began my journey learning to code, starting from the top of the freeCodeCamp curriculum."
  },
  {
    title: "Development Lead",
    company: "Artists For Palestine",
    start: new Date("November 5 2023"),
    end: null,
    link: "https://art4palestine.org",
    type: "volunteer",
    logo: "a4p.jpeg",
    description: `As a Development Lead at Art 4 Palestine, I developed a bot that efficiently manages integrations between Airtable forms, Trello boards, and Discord, streamlining workflow and improving productivity. The bot also pulls news articles from reputable sources and cross-posts them into the server, keeping the community informed with reliable updates.

Additionally, I guided and mentored other developers in the design and coding of the website, ensuring high-quality output and consistent alignment with project goals. My contributions have been instrumental in supporting the organization's initiatives and fostering collaboration within the development team.`
  },
  {
    title: "Community Moderator",
    company: "AngelRose",
    start: new Date("September 5 2023"),
    end: null,
    link: "https://discord.gg/kYpjgEB",
    type: "volunteer",
    logo: "angel.png",
    description: `As a Discord Moderator at AngelRose, I played a key role in maintaining a safe, respectful, and engaging environment for community members. I monitored conversations, enforcing community guidelines to prevent disruptive behavior and protect users. Additionally, I addressed and resolved conflicts, providing support and guidance to members to promote a positive experience. My contributions helped uphold the integrity of the community and foster an inclusive and welcoming space for all participants.`
  },
  {
    title: "Community Bot Engineer",
    company: "Deepgram",
    start: new Date("July 5 2023"),
    end: new Date("June 4 2024"),
    link: "https://deepgram.com",
    type: "project",
    logo: "deepgram.jpeg",
    description: `As a Community Bot Engineer at Deepgram, I developed a sophisticated Discord bot to enhance community management and streamline user interactions. The bot features an array of capabilities, including the ability to move messages from standard channels to forum channels, maintaining an organized space for discussion. It integrates AI to automatically answer new questions in the forum channel and allows for responses to be marked as correct answers.

I designed the bot to send scheduled messages in the general channel, prompting users to utilize the forum channel for their questions. Additionally, the bot provides daily and weekly aggregations of unanswered questions, cross-posts answered questions to the GitHub discussion board, and reminds users of unanswered questions if they've been inactive for seven days.

The bot also tracks various metrics such as unanswered, answered, and closed questions, as well as questions moved by the bot, to monitor the overall health of the community. Finally, it can post feedback messages to ProductBoard, contributing to product development and user satisfaction.

Through these innovative features, my work has improved community engagement and provided a seamless, organized experience for Deepgram's users.`
  },
  {
    title: "Twitch Integration Engineer",
    company: "BigBadBeaver Productions",
    start: new Date("May 5 2023"),
    end: new Date("January 5 2024"),
    link: "https://linktr.ee/bigbadbeaver",
    type: "project",
    logo: "beaver.png",
    description: `As a Twitch Integration Engineer at Big Bad Beaver Productions, I developed "PrivateTwigs," a custom Twitch chat bot that enhanced stream management and engagement. The bot includes comprehensive logging for all chat messages and stream events, enabling detailed analysis and strategic insights.

Additionally, I implemented custom redemption rewards within the bot, providing viewers with unique opportunities to interact with the stream and engage with content. My work as a Twitch Integration Engineer significantly improved the streaming experience for both streamers and viewers, contributing to a more interactive and dynamic community.`
  },
  {
    title: "Community Manager and Open-Source Engineer",
    company: "Sema Software",
    start: new Date("May 5 2022"),
    end: new Date("September 5 2022"),
    link: "https://www.semasoftware.com",
    type: "fixed",
    logo: "sema.jpeg",
    description: `In my role as Community Manager and Open Source Engineer at Sema Software, I significantly shaped and cultivated the Discord community, expanding its membership from 300 to 1,000. This involved fostering engagement and creating a welcoming space for all members.

In addition to community management, I led various open source initiatives across multiple projects. This included creating a base template for starting new projects and providing developers with a structured and efficient foundation. I also managed the Developer Skills Matrix repository and its associated Discord bot, website, and Slack bot, allowing users to take self-assessments across their preferred platforms.

Moreover, I developed a Discord bot to query projects listed on the Open Source Welcoming Committee, enhancing accessibility and visibility for open source projects. Through these contributions, I have played a key role in driving community growth and promoting open source engagement at Sema Software.`
  },
  {
    title: "Community Manager",
    company: "4C",
    start: new Date("May 5 2022"),
    end: new Date("November 5 2022"),
    link: "https://discord.com/invite/ns5x8bTz25",
    type: "fixed",
    logo: "4c.png",
    description: `As Community Manager at 4C, I played a pivotal role in shaping and nurturing the Discord community, driving significant growth and member engagement. Under my management, the community expanded from 1,100 to 3,350 members, fostering an active and thriving space for all participants. My contributions have been instrumental in creating a welcoming and dynamic environment, promoting meaningful interactions, and enhancing overall community satisfaction.`
  },
  {
    title: "Community Manager",
    company: "TweetShift",
    start: new Date("January 5 2022"),
    end: new Date("May 5 2023"),
    link: "https://tweetshift.com",
    type: "fixed",
    logo: "tweetshift.png",
    description: `As the Community Manager for the TweetShift Discord bot, I provided comprehensive support to a community that utilizes the bot across over 230,000 servers. My focus was on delivering high-quality assistance and ensuring the bot's seamless functionality for users. I also played a key role in moderating the community and maintaining a safe and inclusive environment for all members. Through these efforts, I have fostered a welcoming space and contributed to the overall success and engagement of the TweetShift community.`
  },
  {
    title: "Senior Integrations Engineer",
    company: "Rythm",
    start: new Date("April 5 2022"),
    end: null,
    link: "https://rythm.fm",
    type: "fixed",
    description: `As a Senior Integrations Engineer at Rythm, I specialized in building Discord bots and tools that empower our team to effectively manage a server of over 300,000 members. My work involved creating a comprehensive moderation bot that includes an auto-moderation system, extensive moderation history, and FAQ responses. This tool offers individual case management, evidence logging, a staff-only note system, and customizable automod rules.

I developed an economy bot that rewards long-term activity with levels, roles, and a currency system that enables members to purchase specialized rewards, personalize their bot profiles, and earn badges. Additionally, I designed a staff incentive bot that allows leadership to recognize volunteer moderators and staff for their exceptional contributions.

My projects also include an analytics bot to monitor user engagement, a trivia bot to entertain members with music-related trivia questions, and a social media bot that cross-posts Twitter updates to the Discord community and internal Slack. Furthermore, I implemented a staff analytics bot to track staff performance, encompassing commands used, messages sent, and modmail threads closed.

Through these tools and bots, I have greatly enhanced the efficiency and engagement within the Rythm server, fostering a vibrant and interactive community.`,
    logo: "rythm.jpeg"
  },
  {
    title: "Community Manager and Infrastructure Engineer",
    company: "Streamcord",
    start: new Date("August 5 2021"),
    end: null,
    link: "https://streamcord.io",
    type: "fixed",
    logo: "streamcord.jpeg",
    description: `In my role as Community Manager and Infrastructure Engineer at Streamcord, I managed a vibrant community of approximately 50,000 members. I provided support for the Streamcord bot, which is actively used in over 1 million communities, ensuring its seamless operation and addressing user queries. My initiatives included running staff streams and game nights to foster interaction and strengthen the bond between the community and the team. I played a key role in overhauling the community to boost retention and activity, and supported the development process, contributing to the maintenance of the documentation and dashboard site. Additionally, I took charge of interviewing and onboarding new staff, providing comprehensive training, and conducting quarterly evaluations to ensure a skilled and cohesive team. My work has greatly contributed to the thriving and dynamic environment within the Streamcord community.`
  },
  {
    title: "Community Moderator",
    company: "Battlesnake",
    start: new Date("June 5 2021"),
    end: new Date("November 5 2022"),
    link: "https://play.battlesnake.com",
    type: "volunteer",
    logo: "battlesnake.jpeg",
    description: `As a Community Moderator at Battlesnake, I played a vital role in ensuring a safe and welcoming environment for players. My focus was on promoting a positive experience for all members, allowing them to enjoy the game and interact with one another respectfully.

Additionally, I contributed to driving engagement for the Summer League 2021 and the Caster House system, fostering enthusiasm and participation in these events. My efforts helped create an inclusive and vibrant community for Battlesnake enthusiasts.`
  },
  {
    title: "Discord Administrator and Platform Engineering Manager",
    company: "Caylus Crew",
    start: new Date("June 5 2021"),
    end: null,
    link: "https://discord.gg/infinite",
    type: "volunteer",
    logo: "caylus.png",
    description: `As the Discord Administrator and Platform Engineering Manager at Caylus Crew, I developed custom bots that enhanced the community experience and streamlined operations. One such bot posted daily messages wishing happy birthday to members, fostering a sense of connection and camaraderie. I also created a bot to manage sponsor perks, ensuring efficient and accurate distribution of benefits to eligible members.

In addition to technical contributions, I coached and trained moderators, providing quarterly staff reviews to support their professional growth and improve performance. My work played a pivotal role in maintaining a vibrant, well-managed community and ensuring an exceptional experience for all participants.`
  },
  {
    title: "Integrations Engineer",
    company: "Xcentric Collective",
    start: new Date("April 5 2021"),
    end: new Date("July 5 2023"),
    link: "http://discord.gg/U3jQVYNbJt",
    type: "volunteer",
    logo: "xcentric.jpg",
    description: `As an Integrations Engineer at Xcentric Collective, I developed a custom Discord bot that incorporated a unique Matchmaking Rating (MMR) system to calculate Rocket League proficiency. This system enabled users to track and monitor their skill levels accurately.

The bot also featured the ability to define teams and find matches with opponents of similar skill levels, facilitating balanced and fair gameplay. Additionally, the bot allowed users to schedule matches seamlessly, providing a streamlined and efficient experience for the community. My work enhanced the overall gaming experience and engagement within the Xcentric Collective community. As an Integrations Engineer at Xcentric Collective, I developed a custom Discord bot that incorporated a unique Matchmaking Rating (MMR) system to calculate Rocket League proficiency. This system enabled users to track and monitor their skill levels accurately. The bot also featured the ability to define teams and find matches with opponents of similar skill levels, facilitating balanced and fair gameplay. Additionally, the bot allowed users to schedule matches seamlessly, providing a streamlined and efficient experience for the community. My work enhanced the overall gaming experience and engagement within the Xcentric Collective community.`
  },
  {
    title: "Hacktoberfest Community Moderator",
    company: "DigitalOcean",
    start: new Date("April 5 2021"),
    end: null,
    link: "https://hacktoberfest.com",
    type: "volunteer",
    logo: "digitalocean.jpeg",
    description: `As a Hacktoberfest Community Moderator at DigitalOcean, I supported the community by building a custom bot to ensure repository links were correctly included in promotional channel messages, streamlining interactions, and providing automated responses for frequently asked questions. This contributed to a smoother experience for participants and enhanced community engagement.

In addition to managing the bot, I answered queries and guided developers in their open-source contributions, helping them navigate the Hacktoberfest event and maximize their impact. By maintaining a safe and welcoming community space, I fostered an inclusive environment for developers of all skill levels to collaborate and grow. My efforts played a crucial role in the success of the event and the satisfaction of its participants.`
  },
  {
    title: "Discord Administrator",
    company: "EddieHub",
    start: new Date("January 5 2021"),
    end: new Date("May 5 2023"),
    link: "https://www.eddiehub.org",
    type: "volunteer",
    logo: "eddiehub.jpeg",
    description: `As a Discord Administrator for EddieHub, I played a key role in moderating the community and fostering an open and inclusive environment. My focus was on upholding community guidelines and ensuring a positive experience for all members.

I provided support and encouragement to members on their development path, offering guidance and resources to help them grow and succeed. Additionally, I planned and managed community events and initiatives, creating opportunities for members to engage, learn, and collaborate.

My efforts contributed to the vibrancy and success of the EddieHub community, helping to create a welcoming space for developers to thrive.`
  },
  {
    title: "Discord Administrator and Lead Integrations Engineer",
    company: "Commit Your Code",
    start: new Date("December 5 2020"),
    end: null,
    link: "https://discord.gg/StwJYeq",
    type: "volunteer",
    logo: "cyc.jpeg",
    description: `As the Discord Administrator and Lead Integrations Engineer at Commit Your Code, I played a key role in fostering a supportive and friendly community environment by moderating interactions and ensuring a positive space for members. I provided guidance to individuals on their development path, offering support as they prepared for their first job or encountered coding challenges.

To enhance community security, I built a robust verification system that significantly reduced the number of compromised accounts, safeguarding members' data and promoting a safe space for collaboration. My contributions have been instrumental in supporting members' growth and maintaining a secure, welcoming atmosphere within the community.`
  },
  {
    title: "Educational Developer and Community Manager",
    company: "freeCodeCamp",
    start: new Date("December 5, 2020"),
    end: null,
    link: "https://freecodecamp.org",
    type: "fixed",
    logo: "fcc.jpeg",
    description: `As an Educational Developer and Community Manager at freeCodeCamp, I have played a pivotal role in maintaining and enhancing the platform's open-source curriculum, serving millions of developers globally. I assisted in completely redesigning the Responsive Web Design curriculum to create a more accessible and engaging learning experience. Additionally, I built a moderation bot to improve the safety and functionality of the Discord community and developed a tool to efficiently distribute a weekly email newsletter to millions of subscribers. My work also involves supporting and guiding users on their journey to become web developers while managing the Discord, Forum, and Reddit communities to drive engagement and deliver an exceptional user experience. Through these contributions, I have significantly impacted the growth and success of the freeCodeCamp community, empowering individuals worldwide to achieve their web development goals. As an Educational Developer and Community Manager at freeCodeCamp, I have played a pivotal role in maintaining and enhancing the platform's open-source curriculum, serving millions of developers globally. I assisted in completely redesigning the Responsive Web Design curriculum to create a more accessible and engaging learning experience. Additionally, I built a moderation bot to improve the safety and functionality of the Discord community and developed a tool to efficiently distribute a weekly email newsletter to millions of subscribers. My work also involves supporting and guiding users on their journey to become web developers while managing the Discord, Forum, and Reddit communities to drive engagement and deliver an exceptional user experience. Through these contributions, I have significantly impacted the growth and success of the freeCodeCamp community, empowering individuals worldwide to achieve their web development goals.`
  },
  {
    title: "Discord Moderator",
    company: "Virtual Insanity",
    start: new Date("May 5 2024"),
    end: null,
    link: "https://discord.com/invite/GDYNGnrGUs",
    type: "volunteer",
    logo: "troopy.png",
    description: `As a Discord Moderator for Virtual Insanity, an adult-only community, I was instrumental in cultivating a secure, respectful, and interactive atmosphere for our diverse members. My responsibilities encompassed vigilant monitoring of discussions, ensuring compliance with established guidelines to deter any disruptive conduct, and safeguarding our users. Alongside conflict resolution, I provided empathetic support and guidance, fostering a harmonious environment conducive to positive interactions. Moreover, I actively assisted in verifying identification documents, reinforcing our commitment to maintaining a safe and authentic community experience. Through these efforts, I contributed to upholding the community's integrity and nurturing an inclusive space for all participants to thrive.`
  },
  {
    title: "Discord Administrator and Integrations Engineer",
    company: "Azuliah (VTuber)",
    start: new Date("December 5 2023"),
    end: new Date("April 5 2024"),
    link: "https://discord.com/invite/XNSy8PMvyy",
    type: "volunteer",
    logo: "azuliah.jpg",
    description: `As a Discord Administrator and Integrations Engineer at Azuliah, I established custom integrations to streamline moderation efforts and enhance community management. These integrations supported the moderation team in maintaining a safe and welcoming space for all members.

In addition to technical contributions, I trained the owner and moderation team on best practices for running a successful community. My guidance included techniques for efficient moderation, conflict resolution, and fostering positive interactions among members. Through my efforts, I played a key role in ensuring the community's smooth operation and promoting a vibrant, supportive environment.`
  },
  {
    title: "Discord Moderator",
    company: "Rion Kuroko (VTuber)",
    start: new Date("Nov 5 2023"),
    end: new Date("Jan 5 2024"),
    link: "https://discord.com",
    type: "volunteer",
    logo: "rion.jpg",
    description: `As a Discord Moderator for Rion Kuroko, I constructed the server almost entirely from scratch to tailor it to the specific needs of the community. This involved designing and implementing structures, channels, and rules that supported a smooth and organized environment.

I also provided guidance to the owner on the technical aspects of Discord moderation, sharing best practices and offering solutions to effectively manage the server. My efforts played a key role in establishing a functional, user-friendly community space and empowering the owner with the knowledge needed to maintain and grow the server.`
  },
  {
    title: "Senior Discord Moderator",
    company: "Rythm",
    start: new Date("Feb 5 2022"),
    end: new Date("July 5 2022"),
    link: "https://discord.com/invite/rythm",
    type: "volunteer",
    logo: "rythm.jpeg",
    description: `As a Senior Discord Moderator for Rythm, I played a dual role in overseeing community moderation and mentoring the moderation team. My responsibilities included tracking weekly staff activity to monitor performance and identify areas for improvement, ensuring the team remained effective and engaged.

Additionally, I guided and supported moderators, helping them develop their skills and excel in their roles. By identifying opportunities to enhance staff activity, I contributed to the overall health and vibrancy of the community. My efforts were instrumental in maintaining a positive, safe, and well-managed space for all members.`
  },
  {
    title: "Technical Support Staff",
    company: "TweetShift",
    start: new Date("Oct 5 2021"),
    end: new Date("Jan 5 2022"),
    link: "https://discord.com/invite/zdfQhjc",
    type: "volunteer",
    logo: "tweetshift.png",
    description: `As Technical Support Staff for TweetShift, I responded promptly to user queries, addressing issues and bugs within the bot to ensure a smooth user experience. I provided clear guidance on how to use the bot's features effectively, helping users maximize its capabilities.

My role involved troubleshooting technical challenges and offering solutions to enhance user satisfaction. By delivering efficient support and sharing helpful tips, I contributed to the overall success and reliability of the bot for the TweetShift community.`
  },
  {
    title: "Discord Moderator",
    company: "Rythm",
    start: new Date("Sept 5 2021"),
    end: new Date("Feb 5 2022"),
    link: "https://discord.com/invite/rythm",
    type: "volunteer",
    logo: "rythm.jpeg",
    description: `As a Discord Moderator for Rythm, I played a central role in maintaining a safe, respectful, and welcoming environment for community members. I monitored conversations to ensure compliance with community guidelines and addressed any disruptive behavior promptly.

My efforts helped foster a positive and inclusive space for all members, contributing to the overall health and vibrancy of the Rythm community.`
  },
  {
    title: "Technical Support Staff",
    company: "Streamcord",
    start: new Date("Mar 5 2021"),
    end: new Date("Aug 5 2021"),
    link: "https://discord.com/invite/streamcord",
    type: "volunteer",
    logo: "streamcord.jpeg",
    description: `As Technical Support Staff for Streamcord, I provided essential support to users by triaging and debugging issues related to the Streamcord Discord bot. My role involved investigating and resolving technical challenges to ensure a seamless user experience.

Acting as a liaison between users and developers, I facilitated clear communication and reported user feedback to the development team for continuous improvement. Additionally, I moderated and engaged with the community, fostering a positive and inclusive environment for all participants. My efforts contributed to the overall success and satisfaction of the Streamcord community.`
  },
  {
    title: "Community Moderator",
    company: "freeCodeCamp",
    start: new Date("Jun 5 2020"),
    end: new Date("Dec 5 2020"),
    link: "https://discord.com/invite/freecodecamp-org-official-fi-fo-692816967895220344",
    type: "volunteer",
    logo: "fcc.jpeg",
    description: `As a Community Moderator for freeCodeCamp, I provided vital support to users (campers) as they navigated the freeCodeCamp curriculum. My role included assisting users in debugging their code and answering questions, ensuring they received the guidance they needed to progress in their learning journey.

I engaged with and moderated the community on the forum and Discord server, fostering a positive, supportive, and inclusive environment for all members. Additionally, I assisted with issue triage and pull request review on GitHub, contributing to the ongoing improvement and development of freeCodeCamp's open-source projects. My efforts played a key role in maintaining the quality of the community and empowering users to achieve their learning goals.`
  },
  {
    title: "Community Moderator",
    company: "FruitPursuits",
    start: new Date("March 5 2024"),
    end: null,
    link: "https://discord.gg/xcy2fRsC5K",
    type: "volunteer",
    logo: "fruit.png",
    description: `As a Discord Moderator for FruitPursuits, I provide crucial support to members, ensuring they have a seamless experience within our community. I troubleshoot technical issues, enforce community guidelines, and foster engagement among members. Collaborating with fellow moderators, I contribute to the ongoing improvement of our Discord server, empowering users to fully enjoy their fruit-loving journey.`
  },
  {
    title: "Developer Experience Consultant",
    company: "Deepgram",
    start: new Date("June 5 2024"),
    end: null,
    link: "https://deepgram.com",
    type: "fixed",
    logo: "deepgram.jpeg",
    description: `As a DX Consultant at Deepgram, I spearhead efforts to enhance community engagement and streamline developer experiences. Leveraging my expertise, I optimize community management workflows on platforms like Slack, GitHub Discussions, and Discord. My primary focus involves acting as a Community Manager, where I strive to answer approximately 60% of community inquiries, foster engagement, and ensure valuable feedback reaches the Product Board for consideration.

    In parallel, I lead DX initiatives, delivering minor documentation improvements, documenting new product features, and integrating new solutions. My proficiency extends to SDK support (JS, Python), where I deliver enhancements and develop new applications as needed. Additionally, I provide high-priority support for demo applications.

    Through my multifaceted approach, I drive tangible improvements in community interactions and developer experiences, contributing to Deepgram's growth and user satisfaction.`
  }
];
