import { IconDefinition } from "@fortawesome/fontawesome-svg-core";
import {
  faDiscord,
  faGithub,
  faHashnode,
  faLinkedinIn,
  faMastodon,
  faReddit,
  faSlack,
  faXTwitter
} from "@fortawesome/free-brands-svg-icons";
import { faHashtag } from "@fortawesome/free-solid-svg-icons";

import { Codeberg, Fiverr, Matrix, Peerlist, Polywork } from "./Icons";

export const Socials: {
  icon: IconDefinition;
  link: string;
  label: string;
  alt: string;
}[] = [
  {
    label: "Codeberg",
    link: "https://codeberg.org/naomi-lgbt",
    alt: "Codeberg Logo",
    icon: Codeberg
  },
  {
    label: "GitHub",
    link: "https://github.com/nhcarrigan",
    alt: "GitHub Logo",
    icon: faGithub
  },
  {
    label: "Discord",
    link: "https://chat.naomi.lgbt",
    alt: "Discord Logo",
    icon: faDiscord
  },
  {
    label: "Matrix",
    link: "https://matrix.to/#/#naomi:matrix.org",
    alt: "Element Logo",
    icon: Matrix
  },
  {
    label: "IRC",
    link: "https://docs.nhcarrigan.com/#/contact?id=irc",
    alt: "Hash symbol",
    icon: faHashtag
  },
  {
    label: "Slack",
    link: "https://join.slack.com/t/naomi-lgbt/signup",
    alt: "Slack Logo",
    icon: faSlack
  },
  {
    label: "Reddit",
    link: "https://reddit.com/r/nhcarrigan",
    alt: "Reddit Logo",
    icon: faReddit
  },
  {
    label: "Blog",
    link: "https://blog.nhcarrigan.com",
    alt: "Hashnode Logo",
    icon: faHashnode
  },
  {
    label: "LinkedIn",
    link: "https://linkedin.com/in/naomi-lgbt",
    alt: "LinkedIn Logo",
    icon: faLinkedinIn
  },
  {
    label: "Resume",
    link: "https://resume.nhcarrigan.com",
    alt: "Peerlist Logo",
    icon: Peerlist
  },
  {
    label: "Polywork",
    link: "https://polywork.nhcarrigan.com/",
    alt: "Polywork Logo",
    icon: Polywork
  },
  {
    label: "Fiverr",
    link: "https://www.fiverr.com/nhcarrigan",
    alt: "Fiverr Logo",
    icon: Fiverr
  },
  {
    label: "Mastodon",
    link: "https://mastodon.social/@naomi_lgbt",
    alt: "Mastodon Logo",
    icon: faMastodon
  },
  {
    label: "X (Twitter)",
    link: "https://x.com/naomi_lgbt",
    alt: "X Logo",
    icon: faXTwitter
  }
];
