import { IconDefinition } from "@fortawesome/fontawesome-svg-core";
import { faLinkedin } from "@fortawesome/free-brands-svg-icons";

export const Testimonials: {
  name: string;
  date: Date;
  content: string;
  sourceIcon: IconDefinition;
  sourceUrl: string;
}[] = [
  {
    name: "Eddie Jaoude",
    date: new Date("June 30, 2023"),
    content:
      "Naomi has done a fantastic job in creating Becca Bot, which is an integral part in managing the EddieHub Discord Community. As founder of EddieHub, Naomi is super helpful to all Community members and an excellent moderator, from our text channels to audio calls and live streams. Naomi demonstrates an excellent technical knowledge and is always keen to share this with the community.",
    sourceIcon: faLinkedin,
    sourceUrl: "https://www.linkedin.com/in/naomi-lgbt/details/recommendations/"
  },
  {
    name: "Danny Thompson",
    date: new Date("July 6 2023"),
    content:
      "If you need a problem solver, look at Naomi. Naomi is a fantastic part of the online tech community by teaching and offering help to beginners on their journeys into tech. She has created some great solutions and is a consistent learner. Naomi has led initiatives using Javascript and front-end technologies to produce finished products within a volunteer position. Highly recommend Naomi to any team.",
    sourceIcon: faLinkedin,
    sourceUrl: "https://www.linkedin.com/in/naomi-lgbt/details/recommendations/"
  },
  {
    name: "Francez Urmatan",
    date: new Date("May 2 2024"),
    content:
      "Naomi is an absolute trailblazer, and is an amazing person to work with! Naomi is humorous and also has an amazing attitude to work with. Her ability to solve complex problems efficiently astounds me. Not only does she demonstrate outstanding technical knowledge, but also does an amazing job at elucidating her needs as an engineer. She is a very warm person and quite easy to work with. Naomi is immensely perceptive and very calculated with what she does. Naomi would make an excellent addition to any company that is lucky enough to hire her!",
    sourceIcon: faLinkedin,
    sourceUrl: "https://www.linkedin.com/in/naomi-lgbt/details/recommendations/"
  },
  {
    name: "Katey Berry",
    date: new Date("May 14 2024"),
    content:
      "I've worked alongside Naomi on a number of projects, and it is always a blessing to have her on the team. She is knowledgable, reliable, and always willing to jump in with creative and efficient engineering solutions to complex workflow problems. Naomi is also such a patient teacher, effectively explaining how things work and enabling others to become more independent. I always look forward to working with Naomi, and recommend you work with her if you have the opportunity!",
    sourceIcon: faLinkedin,
    sourceUrl: "https://www.linkedin.com/in/naomi-lgbt/details/recommendations/"
  },
  {
    name: "Kaitlyn Nichols",
    date: new Date("May 30, 2024"),
    content:
      "She is a dedicated programmer and spends most of her time either making bots, or coding. She has an excellent work ethic and goes until she is satisfied with the end product.",
    sourceIcon: faLinkedin,
    sourceUrl: "https://www.linkedin.com/in/naomi-lgbt/details/recommendations/"
  }
];
