import { Component, Input, OnInit } from "@angular/core";

import { Logos } from "../config/Logos";

/**
 *
 */
@Component({
  selector: "app-logo",
  standalone: true,
  imports: [],
  templateUrl: "./logo.component.html",
  styleUrl: "./logo.component.css"
})
export class LogoComponent implements OnInit {
  @Input() logo: (typeof Logos)[number] = {} as never;
  public link = "";
  public alt = "";
  public file = "";

  /**
   *
   */
  ngOnInit(): void {
    this.link = this.logo.link;
    this.alt = this.logo.alt;
    this.file = `/assets/img/${this.logo.file}`;
  }
}
